<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true">

    <ViewStub
        android:id="@+id/reuseSearchBarStub"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout="@layout/layout_search_bar" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/game_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/reuseSearchBarStub">

        <com.gh.gamecenter.common.view.TouchSlopRecyclerView
            android:id="@+id/game_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/ui_surface"
            android:descendantFocusability="blocksDescendants" />

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <ViewStub
        android:id="@+id/reuse_no_connection_stub"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <ViewStub
        android:id="@+id/reuse_no_data_stub"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout="@layout/reuse_none_data" />

    <com.gh.gamecenter.home.custom.floatview.CustomFloatView
        android:id="@+id/floating_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="118dp"
        android:visibility="invisible" />
</RelativeLayout>
